version: '3.2'
services:
  ruby_server:
    build:
      context: ./
    volumes:
      - ./config.yml:/var/www/inferno/config.yml
      - ./data:/var/www/inferno/data
      - type: bind
        source: "./resources/terminology/validators"
        target: "/var/www/inferno/resources/terminology/validators"
  validator_service:
    image: infernocommunity/fhir-validator-wrapper
    environment:
      DISABLE_TX: 'true'
  nginx_server:
    image: nginx
    volumes:
      - ./docker/nginx.conf:/etc/nginx/nginx.conf:ro
    ports:
      - "44567:80"
    command: [nginx, '-g', 'daemon off;']
    depends_on:
      - ruby_server
